naumen_smp_rest 1.0.3

  • Readme
  • Changelog
  • Example
  • Installing
  • 50

A library for Dart developers.

Created from templates made available by Stagehand under a BSD-style license.

Usage #

A simple usage example:

import 'package:naumen_smp_rest/naumen_smp_rest.dart';

main() {
  var awesome = new Awesome();
}

Features and bugs #

Please file feature requests and bugs at the issue tracker.

0.0.1 #

  • Инициализация проекта

1.0.0 #

  • Рабочая версия (можно использовать в проектах)

1.0.3 #

  • Исправление багов -- относительный путь методов изменил на постоянный -- изменил правила вызова скриптовых модулей

example/naumen_smp_rest_example.dart

import 'package:naumen_smp_rest/naumen_smp_rest.dart' as utils;

main() async {
  /// Получить объект по uuid
  var root = await utils.get('root\$101');
  print(root);
  /// Найти все неархивные команды
  var teams = await utils.find('team', {'removed':false});
  print('Найдено команд: ${teams.length}');
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  naumen_smp_rest: ^1.0.3

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:naumen_smp_rest/naumen_smp_rest.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
50
Learn more about scoring.

We analyzed this package on Oct 16, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.5.1
  • pana: 0.12.21

Platforms

Detected platforms: web

Primary library: package:naumen_smp_rest/naumen_smp_rest.dart with components: html.

Health suggestions

Fix lib/src/naumen_smp_rest_base.dart. (-0.50 points)

Analysis of lib/src/naumen_smp_rest_base.dart reported 1 hint:

line 34 col 12: Use isNotEmpty instead of length

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
http ^0.12.0 0.12.0+2
Transitive dependencies
async 2.4.0
charcode 1.1.2
collection 1.14.12
http_parser 3.1.3
meta 1.1.7
path 1.6.4
pedantic 1.8.0+1
source_span 1.5.5
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.1.6